summaryrefslogtreecommitdiffstats
path: root/bin/tests/system/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/tests/system/run.sh')
-rwxr-xr-xbin/tests/system/run.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/bin/tests/system/run.sh b/bin/tests/system/run.sh
new file mode 100755
index 0000000..8e87c0f
--- /dev/null
+++ b/bin/tests/system/run.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Copyright (C) Internet Systems Consortium, Inc. ("ISC")
+#
+# SPDX-License-Identifier: MPL-2.0
+#
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, you can obtain one at https://mozilla.org/MPL/2.0/.
+#
+# See the COPYRIGHT file distributed with this work for additional
+# information regarding copyright ownership.
+
+#
+# Run a single system test using the pytest runner. This is a simple wrapper
+# around pytest for convenience.
+#
+
+if [ -z "$1" ] || [ ! -d "$1" ]; then
+ echo "Usage: $0 system_test_dir [pytest_args]"
+ exit 2
+fi
+
+system_test_dir="$1"
+shift
+
+(cd "$system_test_dir" || exit 2 ; /usr/bin/env python3 -m pytest "$@")